## net.sf.saxon.instruct
Class GlobalParameterSet

    java.lang.Object
      net.sf.saxon.instruct.GlobalParameterSet

    public class GlobalParameterSet

extends java.lang.Object

A GlobalParameterSet is a set of parameters supplied when invoking a stylesheet or query. It is a collection of name-value pairs, the names being represented by StructuredQName objects. The values are objects, as supplied by the caller: conversion of the object to a required type takes place when the parameter is actually used.

Constructor Summary
`GlobalParameterSet()` Create an empty parameter set
`GlobalParameterSet(GlobalParameterSet existing)` Create a parameter set as a copy of an existing parameter set

Method Summary
`void` `clear()` Clear all values
`java.lang.Object` `get(StructuredQName qName)` Get a parameter
`java.util.Collection` `getKeys()` Get all the keys that have been allocated
`int` `getNumberOfKeys()` Get the number of entries in the result of getKeys() that are significant
`void` `put(StructuredQName qName, java.lang.Object value)` Add a parameter to the ParameterSet

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GlobalParameterSet

    public GlobalParameterSet()

  Create an empty parameter set

### GlobalParameterSet

    public GlobalParameterSet(GlobalParameterSet existing)

  Create a parameter set as a copy of an existing parameter set

Method Detail

### put

    public void put(StructuredQName qName,
                    java.lang.Object value)

  Add a parameter to the ParameterSet

  Parameters:
    `qName` - The fingerprint of the parameter name.
    `value` - The value of the parameter, or null if the parameter is to be removed

### get

    public java.lang.Object get(StructuredQName qName)

  Get a parameter

  Parameters:
    `qName` - The parameter name.
  Returns:
    The value of the parameter, or null if not defined

### clear

    public void clear()

  Clear all values

### getKeys

    public java.util.Collection getKeys()

  Get all the keys that have been allocated

### getNumberOfKeys

    public int getNumberOfKeys()

  Get the number of entries in the result of getKeys() that are significant

Copyright (c) Saxonica Limited. All rights reserved.